@import 'settings';
@import 'mixins';
@import 'typography';

.Footer {
    @include footer-type;
    position: relative;
    z-index: $zindex-content;
    background: $blue;
    color: $black;
    overflow: hidden;

    a {
        color: $body-font-color;
    }

    h4 {
        @include footer-type;
        margin: 0;
        color: $black;
    }

    .Icon {
        color: $white;
    }

    // logo
    &__logo {
        svg path {
            fill: $black;
        }
    }

    .email-form {
        white-space: nowrap;

        input {
            @include button-type;
            display: inline-block;
            height: 1.3rem;
            padding-left: 0;
            background: transparent;
            box-shadow: none;
            border: 0;
            border-bottom: solid $white 2px;
            color: $black;

            &::placeholder {
                color: $black;
                text-transform: uppercase;
            }
        }

        button {
            margin-left: 4px;
        }
    }

    @media #{$mobile-only} {
        padding: 40px 50px 20px 50px;
        text-align: center;
        line-height: 1.8;
        height: 100vh;
        display: flex;
        align-items: center;

        &__logo .logo-wrap {
            @include circle-logo(140px, $white);
            margin: 0 auto 30px auto;
        }

        &__contact {
            margin-bottom: 40px;
        }

        &__social {
            &__icons {
                margin-bottom: 30px;
            }
        }

        .email-form {
            button {
                left: -4px;
            }
        }
    }

    @media #{$tablet} {
        height: auto !important;
        padding: 32px 50px 28px 50px;

        .zmdi-pin {
            position: relative;
            top: 3px;
            left: 5px;
            font-size: 22px;
        }

        > .container {
            display: flex;
            align-items: center;
            justify-content: center;

            > * {
                flex-grow: 1;
                padding: 0 20px;
            }
        }

        &__logo .logo-wrap {
            @include circle-logo(110px, $white);
        }

        &__social {
            &__icons {
                margin-bottom: 30px;

                h4 {
                    margin-bottom: 8px;
                }
            }
        }
    }
}
